Bug 1031198 - Review Request: openshift-origin-cartridge-mysql - Embedded mysql support for OpenShift
Review Request: openshift-origin-cartridge-mysql - Embedded mysql support for...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 16:18 EST by Troy Dawson
Modified: 2013-12-03 05:31 EST (History)
3 users (show)

See Also:
Fixed In Version: openshift-origin-cartridge-mysql-0.7.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:31:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-11-15 16:18:03 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-mysql.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-mysql-0.7.0.1-1.fc20.src.rpm
Description: Provides mysql cartridge support to OpenShift.
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-11-15 16:19:28 EST
RPMLINT OUTPUT:
$ rpmlint openshift-origin-cartridge-mysql.spec openshift-origin-cartridge-mysql-0.7.0.1-1.fc20.src.rpm openshift-origin-cartridge-mysql-0.7.0.1-1.fc20.noarch.rpm
openshift-origin-cartridge-mysql.noarch: E: devel-dependency mysql-devel
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

mysql-devel is required because of the nature of the openshift cartridge package.  A user expects that when they install this cartridge they will be able to build against the libraries in their app area.  So they need the devel package.
Comment 2 Marek Mahut 2013-11-19 09:57:03 EST
Evaluated again scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=6198334

The package looks fine and is approved. The use of the devel requirement is sane in this use case.
Comment 3 Troy Dawson 2013-11-19 12:05:13 EST
New Package SCM Request
=======================
Package Name: openshift-origin-cartridge-mysql
Short Description: Embedded mysql support for OpenShift
Owners: tdawson
Branches: f19 f20
InitialCC:
Comment 4 Jon Ciesla 2013-11-19 12:59:24 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-11-19 14:54:41 EST
openshift-origin-cartridge-mysql-0.7.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openshift-origin-cartridge-mysql-0.7.0.1-1.fc19
Comment 6 Fedora Update System 2013-11-20 23:35:09 EST
openshift-origin-cartridge-mysql-0.7.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-12-03 05:31:13 EST
openshift-origin-cartridge-mysql-0.7.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.